python-django-compat_1.0.8-1ubuntu2_all.deb


Advertisement

Description

python-django-compat - Forward and backwards compatibility layer for Django 1.4.x to 1.9.x

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-django-compat
Package version: 1.0.8
Package release: 1ubuntu2
Package architecture: all
Package type: deb
Installed size: 75 B
Download size: 12.87 KB
Official Mirror: archive.ubuntu.com
This module provides a backwards compatibility layer for Django versions which helps in the following: 1. Be able to use the LTS versions of Django and support newer versions in your app 2. Use features from newer Django versions in an old one 3. Manage and master the gap between different framework versions

Alternatives

    Download

    Source package: django-compat

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-django-compat deb package:
      # sudo apt-get install python-django-compat

    Files

    • /usr/lib/python2.7/dist-packages/compat/__init__.py
    • /usr/lib/python2.7/dist-packages/compat/json_response.py
    • /usr/lib/python2.7/dist-packages/compat/models.py
    • /usr/lib/python2.7/dist-packages/compat/shortcuts.py
    • /usr/lib/python2.7/dist-packages/compat/docs/__init__.py
    • /usr/lib/python2.7/dist-packages/compat/docs/compatibility.py
    • /usr/lib/python2.7/dist-packages/compat/templatetags/__init__.py
    • /usr/lib/python2.7/dist-packages/compat/templatetags/compat.py
    • /usr/lib/python2.7/dist-packages/compat/tests/__init__.py
    • /usr/lib/python2.7/dist-packages/compat/tests/manage_settings.py
    • /usr/lib/python2.7/dist-packages/compat/tests/south_settings.py
    • /usr/lib/python2.7/dist-packages/compat/tests/test_compat.py
    • /usr/lib/python2.7/dist-packages/compat/tests/urls.py
    • /usr/lib/python2.7/dist-packages/compat/tests/test_app/__init__.py
    • /usr/lib/python2.7/dist-packages/compat/tests/test_app/models.py
    • /usr/lib/python2.7/dist-packages/django_compat-1.0.8.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/django_compat-1.0.8.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/django_compat-1.0.8.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/django_compat-1.0.8.egg-info/top_level.txt
    • /usr/share/doc/python-django-compat/changelog.Debian.gz
    • /usr/share/doc/python-django-compat/copyright

    Changelog

    2016-03-19 - Steve Langasek <steve.langasek@ubuntu.com> django-compat (1.0.8-1ubuntu2) xenial; urgency=medium * Add python-django-nose to test deps, not just build-deps.

    2015-12-12 - Logan Rosen <logan@ubuntu.com> django-compat (1.0.8-1ubuntu1) xenial; urgency=medium * Build-depend on python-django-nose to fix FTBFS.

    2015-12-08 - Senthil Kumaran S (stylesen) <stylesen@gmail.com> django-compat (1.0.8-1) unstable; urgency=medium * New upstream production release. * Supports django 1.9.x. (Closes: #807097)

    2015-08-30 - Senthil Kumaran S (stylesen) <stylesen@gmail.com> django-compat (1.0.7-2) unstable; urgency=medium * Add Neil Williams (codehelp) as an uploader. * Add python-six as test dependency. * Add python-six as build dependency. (Closes: #797231)

    2015-08-24 - Senthil Kumaran S (stylesen) <stylesen@gmail.com> django-compat (1.0.7-1) unstable; urgency=medium * New upstream production release.

    2015-06-30 - Senthil Kumaran S (stylesen) <stylesen@gmail.com> django-compat (1.0.6-2) unstable; urgency=medium * Add autopkgtest support * Fix Vcs* links * Remove README.Debian since it is redundant with control file description

    2015-06-17 - Senthil Kumaran S (stylesen) <stylesen@gmail.com> django-compat (1.0.6-1) unstable; urgency=medium * Initial release. (Closes: #786898: ITP: django-compat -- "Forward and backwards compatibility layer for Django 1.4.x to 1.8.x")

    Advertisement
    Advertisement